# $Revision: 1.12 $, $Date: 2005/01/09 18:18:09 $
%define		pname	Weather
Summary:	A sensor and display for displaying the current weather information
Summary(pl):	Czujnik i wywietlacz do pokazywania aktualnej informacji pogodowej
Name:		gDesklets-%{pname}
Version:	0.24
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://gdesklets.gnomedesktop.org/files/weather-desklet-%{version}.tar.bz2
# Source0-md5:	f10d7cdb043b9f461a52e5d1226ddbdf
URL:		http://gdesklets.gnomedesktop.org/
BuildRequires:	python >= 1:2.3
BuildRequires:	python-pygtk-gtk >= 1.99.14
Requires:	gDesklets
%pyrequires_eq	python-libs
Provides:	gDesklets-display
Provides:	gDesklets-sensor
Conflicts:	gDesklets-StarterKit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sensorsdir	%{_datadir}/gdesklets/Sensors
%define		_displaysdir	%{_datadir}/gdesklets/Displays

%description
A sensor and display for displaying the current weather information.
It can retrieve information for many countries of the world.

%description -l pl
Czujnik i wywietlacz do pokazywania aktualnej informacji pogodowej.
Moe zbiera informacje dla wielu krajw wiata.

%prep
%setup -q -n weather-desklet-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sensorsdir},%{_displaysdir}/%{pname}}

./Install_%{pname}_Sensor.bin --nomsg \
	$RPM_BUILD_ROOT%{_sensorsdir}

cp -R gfx *.display $RPM_BUILD_ROOT%{_displaysdir}/%{pname}

rm -rf $RPM_BUILD_ROOT%{_sensorsdir}/%{pname}/{.*~,icons/.xvpics,po}
find $RPM_BUILD_ROOT%{_sensorsdir}/%{pname} -name "CVS" |xargs rm -rf

%py_comp $RPM_BUILD_ROOT%{_sensorsdir}
%py_ocomp $RPM_BUILD_ROOT%{_sensorsdir}

rm -f $RPM_BUILD_ROOT%{_sensorsdir}/*/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{_sensorsdir}/%{pname}
%dir %{_sensorsdir}/%{pname}/locale
%{_sensorsdir}/%{pname}/icons
%{_sensorsdir}/%{pname}/*.py[co]
%{_sensorsdir}/%{pname}/ChangeLog
%{_displaysdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gDesklets-Weather.spec,v $
Revision 1.12  2005/01/09 18:18:09  saq
- missing BR epoch and pyreqeq, rel 3

Revision 1.11  2004/11/03 13:37:11  paladine
- formatting

Revision 1.10  2004/07/23 22:19:26  grzegol
- (B)R: python-pygtk-gtk instead of python-pygtk
- rel. 2

Revision 1.9  2004/05/27 09:02:05  leafnode
- updated to 0.24

Revision 1.8  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.7  2003/10/27 12:40:30  averne
- fixed locales

Revision 1.6  2003/10/27 12:35:16  averne
- updated to 0.22

Revision 1.5  2003/08/30 14:36:44  grzegol
- updated to 0.21

Revision 1.4  2003/08/24 21:42:19  grzegol
- added Provides: gDesklets-display and gDesklets-sensor
- used %%lang() for language specific files
- rel. 2

Revision 1.3  2003/08/17 21:15:25  ankry
- better pl

Revision 1.2  2003/08/17 21:13:48  grzegol
- fixed BR

Revision 1.1  2003/08/17 20:55:56  grzegol
- new
